Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaCascade

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaCascade

All Implemented Interfaces:
  XMLSerializable

    public class JpaCascade

extends Object
implements XMLSerializable

Field Summary
`protected Collection<javax.persistence.CascadeType>` | `cascades`

Constructor Summary
`JpaCascade()`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`Collection<javax.persistence.CascadeType>` | `getCascades()`
`void` | `setCascadeAll(Object value)`
`void` | `setCascadeMerge(Object value)`
`void` | `setCascadePersist(Object value)`
`void` | `setCascadeRefresh(Object value)`
`void` | `setCascadeRemove(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cascades

    protected Collection<javax.persistence.CascadeType> cascades

Constructor Detail

### JpaCascade

    public JpaCascade()

Method Detail

### getCascades

    public Collection<javax.persistence.CascadeType> getCascades()

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### setCascadeAll

    public void setCascadeAll(Object value)

### setCascadeMerge

    public void setCascadeMerge(Object value)

### setCascadePersist

    public void setCascadePersist(Object value)

### setCascadeRefresh

    public void setCascadeRefresh(Object value)

### setCascadeRemove

    public void setCascadeRemove(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.